Bug 201183 - /etc/services causes migration scripts to fail
/etc/services causes migration scripts to fail
Product: Fedora
Classification: Fedora
Component: openldap (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jan Safranek
: 147804 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2006-08-03 09:42 EDT by Daniel Qarras
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-06-08 07:54:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Daniel Qarras 2006-08-03 09:42:15 EDT
Some duplicate entries in /etc/services cause ldapadd to fail when running
migrate_all_*.pl with a "key already exists" error due to the fact that
two separate entries are created with different port numbers or names. Initially
reported in Bug 147804 but still a problem with FC5 + latest updates. The
following entry in /etc/services causes problems with port number:

echo 4/ddp

Additionally, also the following aliases also cause problems with names:


Uncommenting them all fixes the problems.

Please consider fixing.
Comment 1 Daniel Qarras 2006-09-20 16:23:08 EDT
So, what's the status with this?
Comment 2 Daniel Qarras 2007-04-21 09:24:36 EDT
Any news on this one?
Comment 3 Jan Safranek 2007-05-23 08:14:06 EDT
*** Bug 147804 has been marked as a duplicate of this bug. ***
Comment 4 Jan Safranek 2007-06-08 07:54:12 EDT
Fixed in openldap-2.3.34-3.fc8

Note You need to log in before you can comment on or make changes to this bug.